#!/bin/bash
set -x 
#we expect to get UTAH_CONFIG_DIR from environment as we need to use it
#later to run the utah tests anyway

#UTAH_CONFIG_DIR="${WORKSPACE}/utah"
mkdir -p "${UTAH_CONFIG_DIR}"
UTAH_CONFIG_FILE="${UTAH_CONFIG_DIR}/utah.cfg"
UTAH_LOG_FILE="${WORKSPACE}/utah-server.log"
UTAH_DEBUGLOG_FILE="${WORKSPACE}/utah-server-debug.log"
UTAH_SSH_LOG_FILE="${WORKSPACE}/utah-server-ssh.log"
cat <<EOF > "${UTAH_CONFIG_FILE}"
{
     "debuglog": "${UTAH_DEBUGLOG_FILE}",
     "logfile": "${UTAH_LOG_FILE}",
     "ssh_logfile": "${UTAH_SSH_LOG_FILE}"
}
EOF
for file in "$UTAH_LOG_FILE" "$UTAH_DEBUGLOG_FILE" "$UTAH_SSH_LOG_FILE"; do
     touch ${file}
     chmod a+w ${file}
done
