#!/bin/bash
# Install the closed nvidia drivers if this is the nvidia machine

set -x
LOG_FILE=/home/jenkins/installer_log.log

if lsmod | grep -q nouveau; then
    echo "Appears to be Nvidia machine, installing driver" >> $LOG_FILE
    echo "Currently running kernel: $(uname -r)" >> $LOG_FILE
    apt-get install -y linux-headers-generic linux-headers-$(uname -r) nvidia-current &>> $LOG_FILE
    echo "linux-headers-generic details: $(apt-cache show linux-headers-generic)" >> $LOG_FILE
fi
